Package org.apache.cayenne.util

## Interface XMLSerializable

- All Known Implementing Classes:
    `AggregateConditionNode`, `ASTAbs`, `ASTAdd`, `ASTAggregateFunctionCall`, `ASTAnd`, `ASTAsterisk`, `ASTAvg`, `ASTBetween`, `ASTBitwiseAnd`, `ASTBitwiseLeftShift`, `ASTBitwiseNot`, `ASTBitwiseOr`, `ASTBitwiseRightShift`, `ASTBitwiseXor`, `ASTConcat`, `ASTCount`, `ASTCurrentDate`, `ASTCurrentTime`, `ASTCurrentTimestamp`, `ASTCustomFunction`, `ASTCustomOperator`, `ASTDbIdPath`, `ASTDbPath`, `ASTDistinct`, `ASTDivide`, `ASTEnclosingObject`, `ASTEnum`, `ASTEqual`, `ASTExists`, `ASTExtract`, `ASTFalse`, `ASTFullObject`, `ASTFunctionCall`, `ASTGreater`, `ASTGreaterOrEqual`, `ASTIn`, `ASTLength`, `ASTLess`, `ASTLessOrEqual`, `ASTLike`, `ASTLikeIgnoreCase`, `ASTList`, `ASTLocate`, `ASTLower`, `ASTMax`, `ASTMin`, `ASTMod`, `ASTMultiply`, `ASTNamedParameter`, `ASTNegate`, `ASTNot`, `ASTNotBetween`, `ASTNotEqual`, `ASTNotExists`, `ASTNotIn`, `ASTNotLike`, `ASTNotLikeIgnoreCase`, `ASTObjPath`, `ASTOr`, `ASTPath`, `ASTScalar`, `ASTSqrt`, `ASTSubquery`, `ASTSubstring`, `ASTSubtract`, `ASTSum`, `ASTTrim`, `ASTTrue`, `ASTUpper`, `Attribute`, `ConditionNode`, `DataChannelDescriptor`, `DataMap`, `DataNodeDescriptor`, `DataSourceInfo`, `DbAttribute`, `DbEntity`, `DbJoin`, `DbKeyGenerator`, `DbRelationship`, `EJBQLQueryDescriptor`, `Embeddable`, `EmbeddableAttribute`, `EmbeddedAttribute`, `Entity`, `EvaluatedBitwiseNode`, `EvaluatedMathNode`, `EvaluatedNode`, `Expression`, `ObjAttribute`, `ObjEntity`, `ObjRelationship`, `Ordering`, `PatternMatchNode`, `PrefetchTreeNode`, `Procedure`, `ProcedureParameter`, `ProcedureQueryDescriptor`, `QueryDescriptor`, `Relationship`, `SelectQueryDescriptor`, `SimpleNode`, `SQLTemplateDescriptor`

      public interface XMLSerializable

  Interface for Cayenne objects that can be saved to XML.
  Since:
    1.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `encodeAsXML​(XMLEncoder encoder, ConfigurationNodeVisitor delegate)` | Prints itself as XML to the provided XMLEncoder.

- - ### Method Detail

    - #### encodeAsXML

          void encodeAsXML​(XMLEncoder encoder,
                           ConfigurationNodeVisitor delegate)

      Prints itself as XML to the provided XMLEncoder.
      Since:
        1.1